LibreOffice: XFlatParagraphIterator Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XFlatParagraphIterator Interface Reference

provides functionality to ... More...

`import <XFlatParagraphIterator.idl;`

Inheritance diagram for XFlatParagraphIterator:

## Public Member Functions
com::sun::star::text::XFlatParagraph | getFirstPara ()
| get the first flat paragraph to be checked or an empty reference if there are no more paragraphs to check.
com::sun::star::text::XFlatParagraph | getNextPara ()
| get the next flat paragraph to be checked or an empty reference if there are no more paragraphs to check.
com::sun::star::text::XFlatParagraph | getLastPara ()
| get the last flat paragraph
com::sun::star::text::XFlatParagraph | getParaBefore ([in] com::sun::star::text::XFlatParagraph xPara) raises ( com::sun::star::lang::IllegalArgumentException )
| get the flat paragraph before this one
com::sun::star::text::XFlatParagraph | getParaAfter ([in] com::sun::star::text::XFlatParagraph xPara) raises ( com::sun::star::lang::IllegalArgumentException )
| get the flat paragraph just following this one
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides functionality to ...

Since
  OOo 3.0

## Member Function Documentation

## ◆ getFirstPara()

com::sun::star::text::XFlatParagraph getFirstPara | ( |  | ) |

get the first flat paragraph to be checked or an empty reference if there are no more paragraphs to check.

Returns
  the paragraph.

## ◆ getLastPara()

com::sun::star::text::XFlatParagraph getLastPara | ( |  | ) |

get the last flat paragraph

Returns
  the paragraph.

## ◆ getNextPara()

com::sun::star::text::XFlatParagraph getNextPara | ( |  | ) |

get the next flat paragraph to be checked or an empty reference if there are no more paragraphs to check.

Returns
  the paragraph.

## ◆ getParaAfter()

com::sun::star::text::XFlatParagraph getParaAfter | ( | [in] com::sun::star::text::XFlatParagraph | xPara | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

get the flat paragraph just following this one

Parameters

  xPara | the current flat paragraph

Returns
  the flat paragraph.

Exceptions

  IllegalArgumentException | if any argument is wrong.

## ◆ getParaBefore()

com::sun::star::text::XFlatParagraph getParaBefore | ( | [in] com::sun::star::text::XFlatParagraph | xPara | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

get the flat paragraph before this one

Parameters

  xPara | the current flat paragraph

Returns
  the flat paragraph.

Exceptions

  IllegalArgumentException | if any argument is wrong.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XFlatParagraphIterator.idl